---
metadata:
  - name: generator
    content: Diplodoc Platform v5.47.3
alternate:
  - https://yandex.com.tr/support/tracker/en/api-ref/boards/start-sprint.md
---
> **Documentation Index:** Fetch the complete configuration index at https://yandex.com.tr/support/tracker/en/llms.txt

# Start a sprint

The request starts a sprint (changes the sprint status to "in progress").

<div class="request_example method_post yfm-clipboard">
    <p>POST</p>
    <pre><code>https://api.tracker.yandex.net/v3/sprints/<sprint_id>/_start</code></pre>
    <button class="yfm-clipboard-button"><svg width="16" height="16" viewBox="0 0 24 24" class="yfm-clipboard-icon" data-animation="15">
    <path fill="currentColor" d="M19,21H8V7H19M19,5H8A2,2 0 0,0 6,7V21A2,2 0 0,0 8,23H19A2,2 0 0,0 21,21V7A2,2 0 0,0 19,5M16,1H4A2,2 0 0,0 2,3V17H4V3H16V1Z"></path>
    <path stroke="currentColor" fill="transparent" strokewidth="1.5" d="M9.5 13l3 3l5 -5" visibility="hidden">
        <animate id="visibileAnimation-15" attributeName="visibility" from="hidden" to="visible" dur="0.2s" fill="freeze" begin=""></animate>
        <animate id="hideAnimation-15" attributeName="visibility" from="visible" to="hidden" dur="1s" begin="visibileAnimation-15.end+1" fill="freeze"></animate>
    </path>
</svg>
</button>
</div>

<!-- source: en/_assets/style/methods.md -->

<!-- endsource: en/_assets/style/methods.md -->

## Request format {#query}

To start a sprint, use an HTTP request with the `POST` method:

```json
POST /v3/sprints/<sprint_id>/_start
Host: api.tracker.yandex.net
Authorization: OAuth <OAuth_token>
Content-Type: application/json
X-Org-ID or X-Cloud-Org-ID: <organization_ID>
If-Match: "<sprint_version>"
```

{% cut "Headers" %}

* `Host`: The host providing the API.

* <!-- source: en/_includes/api/authorization.md -->
  `Authorization`: Authorization token about these formats:

    - `OAuth <OAuth_token>`: For authorization using the OAuth 2.0 protocol. [Learn more](https://yandex.com.tr/support/tracker/en/api-ref/access.md#about_OAuth)

    - `Bearer <IAM_token>`: For authorization using an IAM token, if a Yandex Cloud Organization organization is linked to Tracker. [Learn more](https://yandex.com.tr/support/tracker/en/api-ref/access.md#iam-token)
  <!-- endsource: en/_includes/api/authorization.md -->

* `Content-Type`: Request body format. Must be `application/json`.


* <!-- source: en/_includes/api/org-id.md -->
  `X-Org-ID` or `X-Cloud-Org-ID`: Organization ID.

  - Use the `X-Org-ID` header if a Tracker organization is linked to Yandex 360 for Business.

  - Use the `X-Cloud-Org-ID` header if a Tracker organization is linked to Yandex Cloud Organization.

  To get the organization ID, go to **Administration** → [**Organizations**](https://tracker.yandex.com/admin/orgs) and copy the value from the **ID** field. {#find-id}
  <!-- endsource: en/_includes/api/org-id.md -->


* `If-Match`: The sprint version. Specify this to avoid losing changes during simultaneous editing. You can get the `version` parameter value in the sprint information response.

{% endcut %}

{% cut "Resource" %}

Parameter | Description | Data type
--- | --- | ---
<sprint_id> | Sprint ID. | String

{% endcut %}

## Response format {#answer}

{% list tabs %}

- Successful request

    <!-- source: en/_includes/api/answer-200.md -->
    If the request is successful, the API returns a response with code `200 OK`.
    <!-- endsource: en/_includes/api/answer-200.md -->

    The response body contains a JSON object with the updated sprint parameters.

    ```json translate=no
    {
      "self": "https://api.tracker.yandex.net/v3/sprints/44**",
      "id" : 44**,
      "version" : 1435288720020,
      "name" : "Sprint 1",
      "board" : {
        "self": "https://api.tracker.yandex.net/v3/boards/3",
        "id" : "3",
        "display" : "My board"
      },
      "status" : "in_progress",
      "archived" : false,
      "createdBy" : {
        "self": "https://api.tracker.yandex.net/v3/users/33********",
        "id" : "33********",
        "display" : "User Name"
      },
      "createdAt" : "2024-08-22T21:49:33.570+0000",
      "startDate" : "2026-04-07",
      "endDate" : "2026-04-10",
      "startDateTime": "2026-04-07T00:00:00.000+0000",
      "endDateTime": "2026-04-10T00:00:00.000+0000"
    }
    ```

    {% cut "Response parameters" %}

    Parameter | Description | Data type
    -------- | -------- | ----------
    self | The address of the API resource that contains the sprint parameters. | String
    id | Sprint ID. | Number
    version | Sprint version. Each change to the sprint increments the version number. | Number
    name | Sprint name. | String
    [board](#board) | An object with information about the board to which the sprint's issues belong. | String
    status | Sprint status. After starting the sprint, the status changes to `in_progress`. | String
    archived | Whether the sprint is archived:<ul><li>`true`— the sprint is archived;</li><li>`false`— the sprint is active.</li></ul> | Boolean
    [createdBy](#createdBy) | An object with information about the sprint creator. | Object
    createdAt | The date and time when the sprint was created, in the format: ```YYYY-MM-DDThh:mm:ss.sss±hhmm``` | String
    startDate | The sprint start date, in the format: ```YYYY-MM-DD``` | String
    endDate | The sprint end date, in the format: ```YYYY-MM-DD``` | String
    startDateTime | The actual sprint start date and time, in the format: ```YYYY-MM-DDThh:mm:ss.sss±hhmm``` | String
    endDateTime | The actual sprint end date and time, in the format: ```YYYY-MM-DDThh:mm:ss.sss±hhmm``` | String

    **Fields of the `board` object** {#board}

    Parameter | Description | Data type
    -------- | -------- | ----------
    self | The address of the API resource that contains information about the board. | String
    id | Board ID. | String
    display | The board display name. | String

    **Fields of the `createdBy` object** {#createdBy}

    Parameter | Description | Data type
    -------- | -------- | ----------
    self | The address of the API resource that contains information about the user. | String
    id | User ID. | String
    display | The user's display name. | String

    {% endcut %}

- Request failed

    If the request wasn't processed successfully, the response contains information about the errors that occurred:

    <!-- source: en/_includes/api/answer-error-400.md -->
    400
    :   One or more request parameters have an invalid value.
    <!-- endsource: en/_includes/api/answer-error-400.md -->

    <!-- source: en/_includes/api/answer-error-403.md -->
    403
    :   You are not authorized to perform this action. You can check what rights you have in the Tracker interface. The same rights are required to perform an action via the API and interface.
    <!-- endsource: en/_includes/api/answer-error-403.md -->

    <!-- source: en/_includes/api/answer-error-404.md -->
    404
    :   The requested object was not found. You may have specified an invalid object ID or key.
    <!-- endsource: en/_includes/api/answer-error-404.md -->

    <!-- source: en/_includes/api/answer-error-500.md -->
    500
    :   Internal service error. Try again later.
    <!-- endsource: en/_includes/api/answer-error-500.md -->

    <!-- source: en/_includes/api/answer-error-503.md -->
    503
    :   The API service is temporarily unavailable.
    <!-- endsource: en/_includes/api/answer-error-503.md -->

{% endlist %}